#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		sname		%(echo %{name} | cut -d '_' -f1)
#-----------------------------------------------------------------------------
Name		:	wpa_supplicant
Version		:	2.10
Release		:	16.2.1.rel%{?dist}
Summary		:	WPA/WPA2/IEEE 802.1X Supplicant
Group		:	Applications/Internet

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	https://w1.fi/releases

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
Buildrequires	:	desktop-file-utils
Buildrequires	:	dbus-devel
BuildRequires	:	qt
BuildRequires	:	libnl-devel
BuildRequires	:	libxml2

Requires	:	libnl-cli
Requires	:	rtl8812au

Requires	:	lsb

#-----------------------------------------------------------------------------
%description
'%{name}' is a WPA Supplicant for Linux, BSD and Windows
with support for WPA and WPA2 (IEEE 802.11i / RSN).
Supplicant is the IEEE 802.1X/WPA component that is used
in the client stations. It implements key negotiation with
a WPA Authenticator and it controls the roaming and IEEE 802.11
authentication/association of the wlan driver.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc COPYING README
%{_sbindir}/%{sname}_*
%{_sysconfdir}/sysconfig/samples/ifconfig.wlan0
%{_sysconfdir}/sysconfig/samples/%{name}-wlan0.conf
%{_sysconfdir}/sysconfig/samples/%{name}.conf
/lib/services/%{sname}
%{_mandir}/man5/%{name}.conf.5.gz
%{_mandir}/man8/%{sname}_cli.8.gz
%{_mandir}/man8/%{sname}_passphrase.8.gz
%{_mandir}/man8/%{name}.8.gz

#============================================================================
%package	gui

Summary		:	Graphical User Interface for %{name}


Requires	:	%{name}
#----------------------------------------------------------------------------
%description	gui
Graphical User Interface for wpa_supplicant written using QT

#----------------------------------------------------------------------------
%files		gui
%{_bindir}/%{sname}_gui
%{_datadir}/applications/%{sname}_gui.desktop
%{_datadir}/pixmaps/%{sname}_gui.svg
%{_mandir}/man8/%{sname}_gui.8.gz

#=============================================================================
%prep
%setup -q


#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

%{__cp} -a						\
	%{name}-ok_addon/config				\
	%{name}/.config

pushd %{name}
%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	BINDIR=%{_sbindir}				\
	LIBDIR=%{_libdir}				\
	%{_smp_mflags}

pushd wpa_gui-qt4
qmake wpa_gui.pro
%{__make}						\
	%{_smp_mflags}
popd

popd

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd %{name}
%{__mkdir_p}						\
	%{buildroot}/lib/services			\
	%{buildroot}%{_mandir}/man8			\
	%{buildroot}%{_mandir}/man5			\
	%{buildroot}%{_datadir}/pixmaps			\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}\
	%{buildroot}%{_datadir}/applications		\
	%{buildroot}%{_bindir}				\
	%{buildroot}%{_sbindir}
	

install -m755						\
	 wpa_{cli,passphrase,supplicant}		\
	%{buildroot}%{_sbindir}

install -m644						\
	doc/docbook/wpa_supplicant.conf.5		\
	%{buildroot}%{_mandir}/man5

install -m644						\
	doc/docbook/wpa_{cli,passphrase,supplicant}.8 	\
	doc/docbook/wpa_gui.8 				\
	%{buildroot}%{_mandir}/man8

install -m755						\
	wpa_gui-qt4/wpa_gui				\
	%{buildroot}%{_bindir}
	
install -m644						\
	wpa_gui-qt4/icons/wpa_gui.svg 			\
	%{buildroot}%{_datadir}/pixmaps

install -m644						\
	wpa_gui-qt4/wpa_gui.desktop 			\
	%{buildroot}%{_datadir}/applications

popd

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#Saving Package Info
install -m644						\
	COPYING README					\
	%{buildroot}%{_defaultdocdir}/%{name}-%{version}

#install
install -m755						\
	%{name}-ok_addon/%{sname}			\
	%{buildroot}/lib/services

%{__mkdir_p}						\
	%{buildroot}%{_sysconfdir}/sysconfig/samples

install -m644						\
	%{name}-ok_addon/ifconfig.wlan0			\
	%{name}-ok_addon/wpa_supplicant-wlan0.conf	\
	%{name}/%{name}.conf				\
	%{buildroot}%{_sysconfdir}/sysconfig/samples

#----------------------------------------------------------------------------
%changelog
